<!DOCTYPE html>
<html ng-app="sampleApp">
<head>
    <meta charset="UTF-8">
    <title>ScopeLess Ctrl</title>

    <link href="../Libraries/bootstrap.css" rel="stylesheet"/>
    <link href="../Libraries/bootstrap-theme.css" rel="stylesheet">
    <script src="../Libraries/angular.js"></script>

    <script>
       angular.module("sampleApp", [])
       .controller("defaultCtrl", function(){

          this.dataValue = "------";
          this.changeValue = function(){
              this.dataValue = "Hello world!";
          };
       });
    </script>

</head>

<body class="panel panel-primary">

    <div class="panel-heading" ng-controller="defaultCtrl as ctrl">
        <h4>ScopeLess Ctrl</h4>
        <div class="input-group">
            <span class="input-group-btn">
                <button class="btn btn-default" type="button" ng-click="ctrl.changeValue()">change</button>
            </span>
            <input class="form-control" ng-model="ctrl.dataValue"/>
        </div>
    </div>
</body>
</html>